Subject: Re: bug#20351: isearch-lax-whitespace should be customizable variable

From: Artur Malabarba <[email-masked]>
Date: Tue, 30 Jun 2015 00:10:06 +0100

On Jun 29, 2015 11:30 PM, "Juri Linkov" <[email-masked]> wrote:
>
> > M-x customize-variable
> > does NOT list isearch-lax-whitespace as a customizable variable
>
> I believe [...] ‘character-fold-search’
> should be customizable.

As long as people understand the implementation is still subject to change,
and that variable's existence isn't assured.

> (defcustom isearch-keep-mode-variables nil
>   "A set of search variables to keep between different searches.
> When a search variable is customized to exist in this set, then
> starting a new search doesn't reset the corresponding isearch variable
> to its default value, thus keeping the value from the previous search
> \(changed using toggling commands)."
>   :type '(set (const :tag "Case folding" isearch-case-fold-search)
>               (const :tag "Character folding" character-fold-search)
>               (const :tag "Invisible text" isearch-invisible)
>               (const :tag "Filters" isearch-filter-predicate)
>               (const :tag "Lax whitespace" isearch-lax-whitespace)
>               (const :tag "Regexp lax whitespace"
isearch-regexp-lax-whitespace))
>   :group 'isearch)

Though this is not strictly in conflict with turning the individual
variables into defcustoms, I think it's a bit in ideological conflict, and
we should probably pick one of the two.